Run integration checks
curl --request POST \
--url https://api.trycomp.ai/v1/integrations/checks/connections/{connectionId}/run \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"organizationId": "<string>",
"checkId": "aws-s3-bucket-public-access"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({organizationId: '<string>', checkId: 'aws-s3-bucket-public-access'})
};
fetch('https://api.trycomp.ai/v1/integrations/checks/connections/{connectionId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/integrations/checks/connections/{connectionId}/run"
payload = {
"organizationId": "<string>",
"checkId": "aws-s3-bucket-public-access"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Integrations
Run integration checks | Comp AI API
Run all compliance checks for an integration connection and capture results as automated evidence.
POST
/
v1
/
integrations
/
checks
/
connections
/
{connectionId}
/
run
Run integration checks
curl --request POST \
--url https://api.trycomp.ai/v1/integrations/checks/connections/{connectionId}/run \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"organizationId": "<string>",
"checkId": "aws-s3-bucket-public-access"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({organizationId: '<string>', checkId: 'aws-s3-bucket-public-access'})
};
fetch('https://api.trycomp.ai/v1/integrations/checks/connections/{connectionId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/integrations/checks/connections/{connectionId}/run"
payload = {
"organizationId": "<string>",
"checkId": "aws-s3-bucket-public-access"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
API key for authentication
Path Parameters
Body
application/json
Response
201 - undefined
Was this page helpful?

